Nie jesteś zalogowany.
Jeśli nie posiadasz konta, zarejestruj je już teraz! Pozwoli Ci ono w pełni korzystać z naszego serwisu. Spamerom dziękujemy!

Ogłoszenie

Prosimy o pomoc dla małej Julki — przekaż 1% podatku na Fundację Dzieciom „Zdążyć z Pomocą”.
Więcej informacji na dug.net.pl/pomagamy/.

#1 2017-07-28 11:42:37

Plichu
Członek DUG
Skąd: Warszawa
Zarejestrowany: 2007-02-28

opensuse zypper usuwanie paczek z zależnościami

Zypper w teorii by usunąć paczki z zależnościami powinien dostać parametr remove -u ale wtedy nie usuwa pakietów które są rekomendowane przez inne pakiety wcześniej zainstalowane w systemie (ale nie są stricte zależnościami).

Aptitude defaultowo robi tak samo, jednak wystarczą 3 linijki w /etc/apt/apt.conf:

Kod:

APT::Install-Suggests "false";
APT::AutoRemove::RecommendsImportant "false";
APT::AutoRemove::SuggestsImportant "false";

Wtedy usuwa wszystkie pakiety które zostały zainstalowane jako zależności/rekomendowane.

Idzie podobny efekt uzyskać z zypperem?

Offline

 

#2 2017-07-28 11:51:04

sir_lucjan
Kierowca Bombowca
Skąd: /home/sir_lucjan
Zarejestrowany: 2010-05-20
Serwis

Re: opensuse zypper usuwanie paczek z zależnościami

Może tutaj coś znajdziesz:

https://codeghar.wordpress.com/2014/07/23/zypper-co … ned-packages/

Edit:

Chociaż z tego co widzę, to może być o to ciężko.

Ostatnio edytowany przez sir_lucjan (2017-07-28 11:54:00)


Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
                                         Arch Linux

Offline

 

#3 2017-07-28 12:33:54

Plichu
Członek DUG
Skąd: Warszawa
Zarejestrowany: 2007-02-28

Re: opensuse zypper usuwanie paczek z zależnościami

Ten link dawno odwiedziłem i finalnie działa to tak jak napisałem: nie usuwa paczek które są rekomendowane dla tych obecnych już wcześniej w systemie. A tworzy się potem przez to straszny śmietnik.

Offline

 

#4 2017-07-28 15:11:42

sir_lucjan
Kierowca Bombowca
Skąd: /home/sir_lucjan
Zarejestrowany: 2010-05-20
Serwis

Re: opensuse zypper usuwanie paczek z zależnościami

Można bodajże wyłączyć instalację paczek rekomendowanych:

http://docs.ansible.com/ansible/latest/zypper_module.html

Ale to tylko obejście problemu, nie znalazłem niczego innego.


Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
                                         Arch Linux

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson
Nas ludzie lubią po prostu, a nie klikając w przyciski ;-)